io.vertx.json.schema

## Class NoSyncValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.json.schema.NoSyncValidationException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  users should migrate to the new validator

      @Deprecated
      public class NoSyncValidationException
      extends VertxException

  This exception is thrown when you call `Schema.validateSync(Object)` when the schema is in an asynchronous state
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSyncValidationException(String message, MutableStateValidator validator)` Deprecated.
    `NoSyncValidationException(String message, Throwable cause, MutableStateValidator validator)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MutableStateValidator` | `getValidator()` Deprecated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSyncValidationException

          public NoSyncValidationException(String message,
                                           MutableStateValidator validator)

      Deprecated.

    - #### NoSyncValidationException

          public NoSyncValidationException(String message,
                                           Throwable cause,
                                           MutableStateValidator validator)

      Deprecated.

  - ### Method Detail

    - #### getValidator

          public MutableStateValidator getValidator()

      Deprecated.

Copyright © 2024 Eclipse. All rights reserved.